from snek.system.form import Form, FormButtonElement, FormInputElement, HTMLElement


class SettingsProfileForm(Form):

    nick = FormInputElement(
        name="nick",
        required=True,
        place_holder="Your Nickname",
        min_length=1,
        max_length=20,
    )
    action = FormButtonElement(
        name="action", value="submit", text="Save", type="button"
    )
    title = HTMLElement(tag="h1", text="Profile")
    profile = FormInputElement(
        name="profile",
        place_holder="Tell about yourself.",
        required=False,
        max_length=300,
    )
    action = FormButtonElement(
        name="action", value="submit", text="Save", type="button"
    )
